import { InputOptions as RollupInputOptions, OutputOptions as RollupOutputOptions } from 'rollup';
import type { Options as SWCOptions } from './plugins/swc';
import { RollupNodeResolveOptions } from '@rollup/plugin-node-resolve';
import { RollupCommonJSOptions } from '@rollup/plugin-commonjs';
declare const config: Config;
export default config;
export interface Config {
    build?: BuildOptions;
    version?: VersionOptions;
}
export interface BuildCommonOptions {
    srcDir?: string;
    clean?: boolean;
    watch?: boolean;
    minify?: boolean;
    declare?: boolean;
    external?: string[];
    tsconfig?: string;
    formats?: RollupOutputOptions['format'][];
    env?: 'development' | 'production';
}
export interface BuildOptions extends BuildCommonOptions {
    input?: RollupInputOptions;
    output?: RollupOutputOptions;
    swc?: SWCOptions;
    nodeResolve?: RollupNodeResolveOptions | false;
    esmShim?: boolean;
    preserveDirectives?: {
        suppressPreserveModulesWarning?: boolean;
        include?: string[];
        exclude?: string[];
    } | false;
    commonjs?: RollupCommonJSOptions | false;
    extOfFormat?: Record<RollupOutputOptions['format'], string>;
    formatOfExt?: Record<string, RollupOutputOptions['format']>;
    sourceExtensions?: string[];
}
export interface VersionOptions {
    operator?: '^' | '~' | '>' | '>=' | '<' | '<=' | '';
    workspaces?: string[];
    list?: boolean;
}
