const config = {
    build: {
        srcDir: 'src',
        formats: [
            'cjs',
            'esm'
        ],
        watch: false,
        minify: false,
        declare: undefined,
        clean: true,
        input: {
            plugins: [],
            external: []
        },
        output: {
            dir: 'dist',
            preserveModules: true,
            plugins: []
        },
        nodeResolve: {
            extensions: [
                '.ts',
                '.tsx',
                '.mjs',
                '.cjs',
                '.js',
                '.jsx',
                '.json'
            ],
            exportConditions: [
                'node',
                'import',
                'require',
                'default'
            ],
            preferBuiltins: true
        },
        commonjs: {
            extensions: [
                '.js',
                '.ts'
            ]
        },
        swc: {
            include: /\.[jt]sx?$/,
            exclude: [
                'node_modules'
            ],
            jsc: {
                target: 'esnext',
                externalHelpers: false,
                keepClassNames: true,
                minify: {
                    mangle: true,
                    compress: true
                }
            }
        },
        esmShim: true,
        preserveDirectives: {},
        extOfFormat: {
            esm: '.mjs',
            es: '.mjs',
            module: '.mjs',
            cjs: '.cjs',
            commonjs: '.cjs',
            iife: '.js',
            amd: '.js',
            umd: '.js',
            system: '.js',
            systemjs: '.js'
        },
        formatOfExt: {
            '.js': 'umd',
            '.cjs': 'cjs',
            '.mjs': 'esm'
        },
        sourceExtensions: [
            'js',
            'jsx',
            'ts',
            'tsx',
            'cjs',
            'cts',
            'mjs',
            'mts'
        ],
        tsconfig: 'tsconfig.prod.json'
    },
    version: {
        operator: '^'
    }
};

export { config as default };
